Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158605 - yum breaks on not enough disc space for transaction
Summary: yum breaks on not enough disc space for transaction
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL: https://www.redhat.com/archives/fedor...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 21:26 UTC by Luciano Rocha
Modified: 2014-01-21 22:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-20 20:59:50 UTC


Attachments (Terms of Use)

Description Luciano Rocha 2005-05-23 21:26:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Yum catches errors on runTransaction but raises an invalid exception:
/usr/lib/python2.4/site-packages/yum/__init_.py, line 333:
            raise yum.Errors.YumBaseError, errstring
should be
            raise Errors.YumBaseError, errstring

I got a not-enough-free-space error on runTransaction. After fixing the line, yum reports the exception as it's stored, not in a user-friendly format. But at least, it reports the error, not just breaks. 

Version-Release number of selected component (if applicable):
yum-2.3.2-3

How reproducible:
Always

Steps to Reproduce:
1. yum upgrade


Actual Results:  crashed

Expected Results:  reported not enough free space for the new packages

Additional info:

Comment 1 Jeremy Katz 2005-05-23 22:16:48 UTC
Funny, I hit this today too :-)

Fixed for yum-2.3.2-4

Comment 2 Gilboa Davara 2006-03-11 11:42:09 UTC
I seem to be hitting this bug in FC5T3 (using pup)
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=185186



Note You need to log in before you can comment on or make changes to this bug.